* {
    box-sizing: border-box;
    font-family: "Lato", "Ubuntu", sans-serif;
}

body {
    margin: 0;
    min-height: 100vh;
    color: #ffffffe7;
    pointer-events: none;
}


/* TŁO FULLSCREEN */

.background {
    position: fixed;
    inset: 0;
    background-image: url("bg.webp");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    filter: blur(6px);
    transform: scale(1.05);
    /* zapobiega białym krawędziom po blurze */
    z-index: -3;
}


/* PRZYCIEMNIENIE (OVERLAY) */

.background::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.45);
}


/* KONTENER TREŚCI */

.container {
    min-height: 100vh;
    max-width: 860px;
    margin: 0 auto;
    padding: 60px 35px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

h1 {
    font-size: 36px;
    margin-bottom: 0px;
    letter-spacing: 0.6px;
    text-transform: uppercase;
    color: #fecb00;
}

.subtitle {
    font-size: 25px;
    margin: 0px;
    opacity: 0.95;
    font-weight: 700;
    text-transform: uppercase;
    color: #fecb00;
}

p.subtitle {
    margin-top: 10px;
}

form {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

input[type="email"] {
    padding: 14px;
    border-radius: 8px;
    border: none;
    font-size: 17px;
}

button {
    padding: 14px;
    border-radius: 8px;
    border: none;
    background-color: #ffcc00;
    color: #000;
    font-size: 17px;
    font-weight: bold;
    cursor: pointer;
}

button:hover {
    background-color: #ffe066;
}

.message {
    margin-top: 16px;
    font-size: 14px;
    font-weight: 600;
    color: #fecb00;
}

footer {
    margin-top: 34px;
    font-size: 12px;
    opacity: 0.7;
}

a {
    color: white;
    font-size: 120%;
}

.background-mask {
    position: fixed;
    inset: 0;
    background-color: #252525;
    opacity: 0.5;
    z-index: -2;
}

h2 {
    line-height: 1.5;
}

p {
    line-height: 1.75;
    font-size: 20px;
}

.formularz {
    backdrop-filter: brightness(0.8);
    border: 2px solid #5a575585;
    padding: 50px;
    border-radius: 37px !important;
}

p.info {
    margin: 50px 0;
}